6.0.0-git
2019-04-25

[#8384] template is undefined
Summary template is undefined
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester mrubinsk (at) horde (dot) org
Created 2009-06-27 (3589 days ago)
Due
Updated 2010-01-13 (3389 days ago)
Assigned 2009-06-28 (3588 days ago)
Resolved 2009-06-29 (3587 days ago)
Milestone
Patch No

History
2009-06-29 05:12:26 Michael Slusarz Comment #4
State ⇒ Resolved
Reply to this comment
Yes, this is correct.  I'm just going to go ahead and move the file 
into the js/ directory instead.
2009-06-28 16:14:57 Chuck Hagenbuch Assigned to Michael Slusarz
State ⇒ Assigned
 
2009-06-28 04:48:55 Michael Rubinsky Comment #3 Reply to this comment
Tracked it down to the fact that the file mailbox-dimp.js is being 
loaded directly out of the templates/ directory and the default 
.htaccess file that lives in */templates has a 'Deny from all' rule, 
so you get a 404 Forbidden error trying to load the file from <script> 
tags.



Perhaps it's working for you because you are using lighttpd without 
any equivelant access rules included in your lighttpd config file?
2009-06-27 18:07:57 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
There was recently a change in how we include the mailbox template 
file - it is no longer passed through javascript.php.  But the change 
works fine here.  Maybe a botched update or possible browser caching 
issue?
2009-06-27 16:26:04 Michael Rubinsky Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ template is undefined
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Using IMP in dynamic mode, and clicking on a folder, the mailbox view 
starts to load, but never gets populated with email. JS Error shown: 
template is undefined - this.template = template.toString() 
prototype.js line 687.



Basic digging found that this.message_list_template is undefined in 
DimpBase.js

Saved Queries